clear all
set more off
pause on
set mem 400m

*********************************

* Using data from Complete Treatment List maintained by Zahir

u "Data\Randomization\Ballot Cleaning Year 2/completetreatment", clear
tempfile completetreatment
sa `completetreatment'

* Using data from Preference Tracking sheet maintained by Zahir

u "Data\Randomization\Ballot Cleaning Year 2/preferencetracking", clear
drop group
tempfile preferencetracking
sa `preferencetracking'

u `completetreatment'

* Merging two to get full names and full continuing/non-continuing treatment list

merge 1:1 circle_name hr_id using `preferencetracking'
drop if _m==1
assert ranking_method==scheme
count
assert `r(N)'==153
drop _m 

merge m:1 hr_id using "Data\Randomization\Ballot Cleaning Year 2/excluded"
drop if _m==3		// 73 continuing inspectors

* Appending New Treatment to Continuing/Non-Continuing Treatment

append using "Data\Randomization/Ballot Cleaning Year 2\Output\New Treatment List.dta"

* Dropping Non-Continuing to get Complete treatment list for Year 2

destring treat, force replace

drop if treat==0
count
assert `r(N)'==142

replace scheme=ranking_method
drop scheme

gen treatment_status = "New Treatment" if treatment==1
replace treatment_status = "Continuing Treatment" if treat==1

bys hr_id, sort: gen nvals=_n==1

br partition_id partition_name division_id division_name district circle_id circle_name hr_id  ins_1_ac group ranking_method treatment_status nvals if hr_id[_n] == hr_id[_n-1]| hr_id[_n] == hr_id[_n-2]| hr_id[_n] == hr_id[_n+1] | hr_id[_n] == hr_id[_n+2]

drop if hr_id == 11671 & treatment_status=="New Treatment"  //
drop if hr_id == 31202 & treatment_status=="New Treatment"	// 2 observations dropped since Lali has two new and one control circle
drop if hr_id == 40843 & treatment_status=="New Treatment"

replace hr_id = 81010 if hr_id == 81658		// Correcting Farrukh Rafique's HR_ID

drop if hr_id==11652  
drop if hr_id==40945  
drop if hr_id==70507  
drop if hr_id==50194  
drop if hr_id==50013  
drop if hr_id==50373  
drop if hr_id==11680 
drop if hr_id==31002  
drop if hr_id==50379  
drop if hr_id==81152  

order partition_id division_name district circle_id circle_name hr_id  group ranking_method treatment_status
	
sa "Data\Randomization\Ballot Cleaning Year 2/Output/Complete Treatment List Year 2.dta", replace
