clear all
version 13
cap cd "$PAKTAX2_RANDOMIZATION"

********************************************************************************

*1. CREATE TEMPFILE FOR UPDATED HR NAMES
use "Data for Ballot/140804 Updated HR Names for Year 1 Treated Groups.dta", clear
keep circle_id hr_id 
rename hr_id new_hr_id
tempfile hr_names
save "`hr_names'", replace

********************************************************************************

*2. CREATE DATASET FOR BALLOT OF YEAR 1 TREATED GROUPS 
use "Output/Year 1/130803 Lahore Assign Treatment Transfers Randomization Output 2100.dta", clear
append using "Output/Year 1/130829 Other Divisions Assign Treatment Transfers Randomization Output 17921.dta"
count
assert `r(N)' == 410

/*keep relevant variables*/
keep division* district* partition* stratum* circle* hr* treatment* lottery_group* group ranking_method

/*keep only circles treated in year 1*/
keep if !missing(treatment)
count
assert `r(N)' == 153 

/*merge with correct hr names*/ 
merge 1:1 circle_id using "`hr_names'", assert(using match) keep(match) nogen
count
assert `r(N)' == 153
 
replace hr_id = new_hr_id if hr_id != new_hr_id
drop new_hr_id 

/*save file*/ 
save "Output/Year 1/Year 1 Treated Groups Ballot.dta", replace
