*! Version 1 30jan2014 Wayne Aaron Sandholtz
/*
SUMMARY:
	Change stata dates (integers which increment daily, with 0 = 1 Jan 1960)
	into calendar dates of format "YYMMDD"
*/
cap program drop int2strdate
program define int2strdate, rclass
	args sdate
	quietly {
		local YY = substr("`= year(`sdate')'",3,2)
		local MM = "`= month(`sdate')'"
		if length("`MM'") == 1 local MM = "0" + "`MM'"
		local DD = "`= day(`sdate')'"
		if length("`DD'") == 1 local DD = "0" + "`DD'" 
	}
	local strdate = "`YY'" + "`MM'" + "`DD'"
	di in yellow "`strdate'"
	return local strdate `strdate'
end
